package domain

type AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku struct {
	/*
	   一口价【分】     */
	FixPrice *int64 `json:"fix_price,omitempty" `

	/*
	   打折【如700,表示打7折】     */
	DiscountRate *int64 `json:"discount_rate,omitempty" `

	/*
	   减钱【分】     */
	DecreaseMoney *int64 `json:"decrease_money,omitempty" `

	/*
	   商家阶梯下分组序号     */
	LogicGroupNumber *int64 `json:"logic_group_number,omitempty" `

	/*
	   商品编码     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   是否减钱     */
	IsDecreaseMoney *bool `json:"is_decrease_money,omitempty" `

	/*
	   是否打折     */
	IsDiscountRate *bool `json:"is_discount_rate,omitempty" `

	/*
	   是否一口价     */
	IsFixPrice *bool `json:"is_fix_price,omitempty" `
}

func (s *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku) SetFixPrice(v int64) *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku {
	s.FixPrice = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku) SetDiscountRate(v int64) *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku {
	s.DiscountRate = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku) SetDecreaseMoney(v int64) *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku {
	s.DecreaseMoney = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku) SetLogicGroupNumber(v int64) *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku {
	s.LogicGroupNumber = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku) SetSkuCode(v string) *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku {
	s.SkuCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku) SetIsDecreaseMoney(v bool) *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku {
	s.IsDecreaseMoney = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku) SetIsDiscountRate(v bool) *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku {
	s.IsDiscountRate = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku) SetIsFixPrice(v bool) *AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku {
	s.IsFixPrice = &v
	return s
}
